﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamDataGridForeground
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
    public class DataItem : INotifyPropertyChanged
    {

        public DataItem() { }

        public DataItem(string name, string email)
        {
            _name = name;
            _email = email;
        }

        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }
        private string _email;
        public string Email
        {
            get { return _email; }
            set
            {
                _email = value;
                OnPropertyChanged("Email");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;

            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class BindingListClass : BindingList<DataItem>
    {
        public BindingList<DataItem> GetCollection
        {
            get
            {
                BindingList<DataItem> mycollection = new BindingList<DataItem> 
            {
                new DataItem("John", "some1@some.com"), 
                new DataItem("Smith", "some2@some.com"),                
                new DataItem("Mary", "some3@some.com")
            };
                return mycollection;
            }
        }
    }

    public class Role
    {
        public bool IsActive { get; set; }
        public string Name { get; set; }
    }
}
